Subject: uams_pam are not load

From: REYNAUD Jean-Samuel <[email-masked]>
Date: Wed, 8 Nov 2000 11:13:49 +0100

I use the mandrake package :
  netatalk-1.4.99-0.20000927mdk.i586.rpm
  netatalk-devel-1.4.99-0.20000927mdk.i586.rpm

My netatalk configuration file is:

AFPD_MAX_CLIENTS=20
ATALK_NAME=`echo ${HOSTNAME}|cut -d. -f1`
AFPD_UAMLIST="-U uams_guest.so,uams_clrtxt.so,uams_randnum.so,uams_dhx.so,uams_pam.so,uams_dhx_pam.so"
AFPD_GUEST=nobody
ATALKD_RUN=yes
PAPD_RUN=yes
AFPD_RUN=yes
ATALK_BGROUND=yes

uams_guest.so,uams_clrtxt.so,uams_randnum.so,uams_dhx.so,uams_pam.so and
uams_dhx_pam.so files are
in /etc/atalk/uams

and my logs file say:

Nov  8 10:55:21 testdhcp atalkd[13469]: restart (1.5)
Nov  8 10:55:22 testdhcp atalkd[13469]: zip_getnetinfo for eth0
Nov  8 10:55:41 testdhcp last message repeated 2 times
Nov  8 10:55:51 testdhcp atalkd[13469]: config for no router
Nov  8 10:55:52 testdhcp atalkd[13469]: ready 0/0/0
Nov  8 10:56:10 testdhcp timelord[13491]: testdhcp:TimeLord started
Nov  8 10:56:11 testdhcp afpd[13501]: testdhcp:AFPServer@* started on
65280.253:130 (1.5)
Nov  8 10:56:11 testdhcp afpd[13501]: ASIP started on 10.55.67.2:548(1)
(1.5)
Nov  8 10:56:11 testdhcp afpd[13501]: uam: uams_guest.so loaded
Nov  8 10:56:11 testdhcp afpd[13501]: uam: uams_randnum.so loaded
Nov  8 10:56:11 testdhcp afpd[13501]: uam: "2-Way Randnum exchange"
available
Nov  8 10:56:11 testdhcp afpd[13501]: uam: "Randnum exchange" available
Nov  8 10:56:11 testdhcp afpd[13501]: uam: "No User Authent" available

why does all clrtxt uams modules aren't load ?

I have the same problem when I uses the source (tar.bz2+compilation).

Tanks

JS